Package com.independentsoft.office.vml

# Class Wrap

java.lang.Object
com.independentsoft.office.vml.Wrap

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`

public class Wrap extends Object implements IShapeElement
The Class Wrap.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Wrap()`
  Instantiates a new wrap.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Wrap`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `HorizontalAnchorType`
  `getHorizontalAnchor()`
  Gets the horizontal anchor.
  `WrapSide`
  `getSide()`
  Gets the side.
  `WrapType`
  `getType()`
  Gets the type.
  `VerticalAnchorType`
  `getVerticalAnchor()`
  Gets the vertical anchor.
  `void`
  `setHorizontalAnchor​(HorizontalAnchorType horizontalAnchor)`
  Sets the horizontal anchor.
  `void`
  `setSide​(WrapSide side)`
  Sets the side.
  `void`
  `setType​(WrapType type)`
  Sets the type.
  `void`
  `setVerticalAnchor​(VerticalAnchorType verticalAnchor)`
  Sets the vertical anchor.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Wrap

    public Wrap()
    Instantiates a new wrap.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Wrap clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHorizontalAnchor

    public HorizontalAnchorType getHorizontalAnchor()
    Gets the horizontal anchor.
    Returns:
      the horizontal anchor

  - ### setHorizontalAnchor

    public void setHorizontalAnchor​(HorizontalAnchorType horizontalAnchor)
    Sets the horizontal anchor.
    Parameters:
      `horizontalAnchor` - the new horizontal anchor

  - ### getVerticalAnchor

    public VerticalAnchorType getVerticalAnchor()
    Gets the vertical anchor.
    Returns:
      the vertical anchor

  - ### setVerticalAnchor

    public void setVerticalAnchor​(VerticalAnchorType verticalAnchor)
    Sets the vertical anchor.
    Parameters:
      `verticalAnchor` - the new vertical anchor

  - ### getType

    public WrapType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(WrapType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getSide

    public WrapSide getSide()
    Gets the side.
    Returns:
      the side

  - ### setSide

    public void setSide​(WrapSide side)
    Sets the side.
    Parameters:
      `side` - the new side